Package com.databend.jdbc

## Class LoggerUtil

- java.lang.Object
- - com.databend.jdbc.LoggerUtil

    public class LoggerUtil
    extends Object

### Constructor Summary

Constructors
`LoggerUtil()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DatabendLogger` `getLogger​(String name)` Provides a `DatabendLogger` based on whether SLF4J is available or not.
`InputStream` `logInputStream​(InputStream is)` Logs the `InputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggerUtil

    public LoggerUtil()

### Method Detail

#### getLogger

    public static DatabendLogger getLogger​(String name)

Provides a `DatabendLogger` based on whether SLF4J is available or not.

Parameters:
  `name` - logger name
Returns:
  a `DatabendLogger`

#### logInputStream

    public InputStream logInputStream​(InputStream is)

Logs the `InputStream`

Parameters:
  `is` - the `InputStream`
Returns:
  a copy of the `InputStream` provided